{ config, pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ./disk-config.nix
    ./optimized_build.nix
  ];

  # Generate with `head -c4 /dev/urandom | od -A none -t x4`
  networking.hostId = "908cbf04";

  networking.hostName = "odo"; # Define your hostname.

  time.timeZone = "America/New_York";

  me.secureBoot.enable = true;

  # Early KMS
  boot.initrd.kernelModules = [ "amdgpu" ];

  # Mount tmpfs at /tmp
  boot.tmp.useTmpfs = true;
}
