{
  config,
  lib,
  pkgs,
  ...
}:
{
  imports = [ ];

  nix.settings.system-features = lib.mkForce [
    "gccarch-znver4"
    "gccarch-skylake"
    # "gccarch-alderlake" missing pkgwait
    "gccarch-x86-64-v3"
    "benchmark"
    "big-parallel"
    "kvm"
    "nixos-test"
  ];

  # nixpkgs.hostPlatform = {
  #   gcc.arch = "znver4";
  #   gcc.tune = "znver4";
  #   system = "x86_64-linux";
  # };

  nixpkgs.overlays = [
    (
      self: super:
      let
        optimizeWithFlags =
          pkg: flags:
          pkg.overrideAttrs (old: {
            NIX_CFLAGS_COMPILE = [ (old.NIX_CFLAGS_COMPILE or "") ] ++ flags;
          });
      in
      {
        linux_znver4 = optimizeWithFlags super.linux_zen [
          "-march=znver4"
          "-mtune=znver4"
        ];
      }
    )
  ];

  boot.kernelPackages = lib.mkIf (!config.me.buildingIso) (pkgs.linuxPackagesFor pkgs.linux_znver4);
}
